﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        int nblig, nbcol;

        private void button1_Click(object sender, EventArgs e)
        {

            bool ok = true;
            if (!int.TryParse(textBox1.Text, out nblig))
            {
                ok = false;
                MessageBox.Show("Le nombre de lignes est invalide !", "Erreur", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            if (!int.TryParse(textBox2.Text, out nbcol))
            {
                ok = false;
                MessageBox.Show("Le nombre de colonnes est invalide !", "Erreur", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            if (nblig < 1 | nblig > 10)
            {
                ok = false;
                MessageBox.Show("Le nombre de lignes doit être compris entre 1 et 10 !", "Erreur", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            if (nbcol < 1 | nbcol > 10)
            {
                ok = false;
                MessageBox.Show("Le nombre de colonnes doit être compris entre 1 et 10 !", "Erreur", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            if (ok)
                panel1.Controls.Clear();
            {
                for (int i = 1; i <= nblig; i++)
                {
                    for (int j = 1; j <= nbcol; j++)
                    {
                        Button bout = new Button();
                        bout.Width = 50;
                        bout.Height = 50;
                        panel1.Controls.Add(bout);
                        bout.Left = 50 * (j - 1);
                        bout.Top = 50 * (i - 1);
                        bout.Click += new EventHandler(YaClic);
                    }
                }
            }
        }

        private void YaClic(object sender, EventArgs e)
        {
            foreach (Button bout in panel1.Controls)
            {
                bout.Text = "";
            }
            Button leClic = (Button)sender;
            leClic.Text = "X";
            int ind = panel1.Controls.IndexOf(leClic);
            int col = ind % nbcol + 1;
            int lig = ind / nbcol + 1;
            this.Text = "Ligne : " + Convert.ToString(lig) + " — Colonne : " + Convert.ToString(col);
        }
    }
}
